#ifndef _MAP_H_
#define _MAP_H_

# include <glib.h>
# include <glib/gprintf.h>
# include <gtk/gtk.h>
# include <gdk-pixbuf/gdk-pixbuf.h>
# include <gtk_lib.h>

# include <anime.h>
# include <unit.h>
# include <music.h>
# include <system.h> /* 所持金の設定用に追加(佐藤) */

# define WINDOW_WIDTH 640
# define WINDOW_HEIGHT 480
# define INTERVAL 100
# define DIVIDE_SIZE 160

# define EMPTY 0
# define EXIST 1

typedef struct {
  int x;
  int y;
  int traffic_flag;
} Map;

extern GtkWidget *window;
extern GdkPixmap *pixmap;
extern myAnimeArea *area;
extern Map *map;
extern int map_life;
extern int money;

extern gint select_unit; /* 追加(佐藤) */
extern int map_pos[4][4];
extern char keyboard_char;

void map_init(void);
void map_collision(myAnimeArea* area, int event_x, int event_y, gint button);
void map_load_file(void);
void map_set_key(int keyval, int state, char *string);

#endif
