# include <cb_func.h>
# include <anime.h>
# include <unit.h>
# include <enemy.h>
# include <bullet.h>
# include <map.h>

gint g_enemy_wait_count = 0;
gboolean g_enemy_call_first = FALSE;

gint
cb_add_enemy(gpointer data)
{
	myAnimeArea *area = (myAnimeArea *) data;
	if (g_enemy_call_first == FALSE) {
		enemy_read_data("../data/enemy.csv");
		g_enemy_call_first = TRUE;
	}
	if (g_enemy_call_count < g_enemy_call_max) {
		// g_print("cb_add_enemy\n");
		enemy_new(area);
		g_enemy_call_count++;
		if (g_enemy_call_count == g_enemy_call_max) {
			g_enemy_group_count++;
		}
	}
	else {
		g_enemy_wait_count++;
		if (g_enemy_wait_count == 4) {
			g_enemy_wait_count = 0;
			g_enemy_call_count = 0; 
		}  
	}
	return TRUE;
}

gboolean
cb_mouse_press(GtkWidget *widget, GdkEventButton *event, gpointer area){
  // g_print("The mouse was clicked on the main window at (%3d, %3d).\n", (int)event->x, (int)event->y);
  map_collision(area, event->x, event->y, event->button);
  return FALSE;
}


gboolean cb_key_press(GtkWidget *widget,
			   GdkEventKey *event,
			   gpointer user_data)
{
  map_set_key(event->keyval, event->state, event-> string);
  return FALSE;
}
