// $Id: ball_anime.c 6991 2010-12-02 04:10:59Z suzuki $
// -*-: coding:utf-8; -*-

// このデモは中谷さんが作ったデモから作りました．

# include <stdlib.h>
# include <gtk/gtk.h>
# include <glib/gprintf.h>

# include <gtk_lib.h>
# include <anime.h>
# include <cb_func.h>

# include <unit.h>
# include <enemy.h>
# include <bullet.h>
# include <map.h>
# include <music.h>
# include <system.h>

int
main(int argc, char **argv, char **env)
{
	// 初期化
	my_init(argc, argv);
	map_init();
	music_init();
	
	// アニメーション領域を作成
	// printf("AnimeArea new\n");
	gtk_container_add(GTK_CONTAINER(window), area->drawing_area);
	// printf("AnimeArea added\n");


	// タイマーの設定 
	my_timeout_add(1500, (GSourceFunc) cb_add_enemy, (gpointer) area);


	// マウス
	g_signal_connect(G_OBJECT(window), "destroy", G_CALLBACK(gtk_main_quit), NULL);
	gtk_widget_add_events(window, GDK_BUTTON_PRESS_MASK);
	g_signal_connect(G_OBJECT(window), "button-press-event", G_CALLBACK(cb_mouse_press), (gpointer)area);
	
	//キーボード
	g_signal_connect(G_OBJECT(window), "destroy", 
			 G_CALLBACK(gtk_main_quit), NULL);
	gtk_widget_add_events(window, GDK_KEY_PRESS_MASK);
	g_signal_connect(G_OBJECT(window), "key-press-event",
			 G_CALLBACK(cb_key_press), NULL);

	play_bgm("../data/bgm.mp3"); // BGMスタート

	systems_init();
	gtk_main();

	// メモリ解放
	g_list_free(enemy);
	g_list_free(bullet);
	
	return 0;
}
